Issue 112462 - upstream large number of fixes to en-US dictionary from Mozilla and Google
Summary: upstream large number of fixes to en-US dictionary from Mozilla and Google
Status: UNCONFIRMED
Alias: None
Product: General
Classification: Code
Component: spell checking (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needhelp
Depends on:
Blocks:
 
Reported: 2010-06-17 08:05 UTC by caywood
Modified: 2019-10-05 13:52 UTC (History)
4 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description caywood 2010-06-17 08:05:46 UTC
I've just managed a large update to the Firefox shipped version of the en-US
dictionary that incorporates numerous changes and bugs identified by Firefox's
large userbase (on the order of 100s of words). It also includes my curation of
a wordlist autogenerated by Google from its web index for the Chrome/Chromium
project (also 100s of words).

The downstream bug is: https://bugzilla.mozilla.org/show_bug.cgi?id=479334

The diff is at:
http://hg.mozilla.org/mozilla-central/diff/e227a12b97a5/extensions/spellcheck/locales/en-US/hunspell/en-US.dic

All changes are tri-licensed.

I would like to push as many of these words upstream as possible. Can this diff
be applied directly as a patch to openoffice, or should I prepare a patch some
other way? 

(Note that as web writing is generally more informal than office writing, we
have tried to be as inclusive as possible, accepting some alternative or
infrequent spellings that are also possible misspellings. This may or may not be
the approach Openoffice wishes to take. I mention this only to prevent surprise
when looking at the patch.)
Comment 1 Rob Weir 2013-03-11 15:05:25 UTC
I'm adding this comment to all open issues with Issue Type == PATCH.  We have 220 such issues, many of them quite old.  I apologize for that.  

We need your help in prioritizing which patches should be integrated into our next release, Apache OpenOffice 4.0.

If you have submitted a patch and think it is applicable for AOO 4.0, please respond with a comment to let us know.

On the other hand, if the patch is no longer relevant, please let us know that as well.

If you have any general questions or want to discuss this further, please send a note to our dev mailing list:  dev@openoffice.apache.org

Thanks!

-Rob